/// sevenTaskCounts : [{"date":"2023-10-20 00:00:00","num":0,"dateStr":"2023-10-20 00:00:00","completedNum":0,"incompletedNum":0},{"date":"2023-10-21 00:00:00","num":0,"dateStr":"2023-10-21 00:00:00","completedNum":0,"incompletedNum":0},{"date":"2023-10-22 00:00:00","num":0,"dateStr":"2023-10-22 00:00:00","completedNum":0,"incompletedNum":0},{"date":"2023-10-23 00:00:00","num":0,"dateStr":"2023-10-23 00:00:00","completedNum":0,"incompletedNum":0},{"date":"2023-10-24 00:00:00","num":0,"dateStr":"2023-10-24 00:00:00","completedNum":0,"incompletedNum":0},{"date":"2023-10-25 00:00:00","num":0,"dateStr":"2023-10-25 00:00:00","completedNum":0,"incompletedNum":0},{"date":"2023-10-26 00:00:00","num":0,"dateStr":"2023-10-26 00:00:00","completedNum":0,"incompletedNum":0}]

class EchartBo {
  EchartBo({
    List<SevenTaskCounts>? sevenTaskCounts,
  }) {
    _sevenTaskCounts = sevenTaskCounts;
  }

  EchartBo.fromJson(dynamic json) {
    if (json['sevenTaskCounts'] != null) {
      _sevenTaskCounts = [];
      json['sevenTaskCounts'].forEach((v) {
        _sevenTaskCounts?.add(SevenTaskCounts.fromJson(v));
      });
    }
  }

  List<SevenTaskCounts>? _sevenTaskCounts;

  EchartBo copyWith({
    List<SevenTaskCounts>? sevenTaskCounts,
  }) =>
      EchartBo(
        sevenTaskCounts: sevenTaskCounts ?? _sevenTaskCounts,
      );

  List<SevenTaskCounts>? get sevenTaskCounts => _sevenTaskCounts;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    if (_sevenTaskCounts != null) {
      map['sevenTaskCounts'] =
          _sevenTaskCounts?.map((v) => v.toJson()).toList();
    }
    return map;
  }
}

/// date : "2023-10-20 00:00:00"
/// num : 0
/// dateStr : "2023-10-20 00:00:00"
/// completedNum : 0
/// incompletedNum : 0

class SevenTaskCounts {
  SevenTaskCounts({
    String? date,
    int? num,
    String? dateStr,
    int? completedNum,
    int? incompletedNum,
  }) {
    _date = date;
    _num = num;
    _dateStr = dateStr;
    _completedNum = completedNum;
    _incompletedNum = incompletedNum;
  }

  SevenTaskCounts.fromJson(dynamic json) {
    _date = json['date'];
    _num = json['num'];
    _dateStr = json['dateStr'];
    _completedNum = json['completedNum'];
    _incompletedNum = json['incompletedNum'];
  }

  String? _date;
  int? _num;
  String? _dateStr;
  int? _completedNum;
  int? _incompletedNum;

  SevenTaskCounts copyWith({
    String? date,
    int? num,
    String? dateStr,
    int? completedNum,
    int? incompletedNum,
  }) =>
      SevenTaskCounts(
        date: date ?? _date,
        num: num ?? _num,
        dateStr: dateStr ?? _dateStr,
        completedNum: completedNum ?? _completedNum,
        incompletedNum: incompletedNum ?? _incompletedNum,
      );

  String? get date => _date;

  int? get num => _num;

  String? get dateStr => _dateStr;

  int? get completedNum => _completedNum;

  int? get incompletedNum => _incompletedNum;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['date'] = _date;
    map['num'] = _num;
    map['dateStr'] = _dateStr;
    map['completedNum'] = _completedNum;
    map['incompletedNum'] = _incompletedNum;
    return map;
  }
}
